Bug 596446 - ipa-replica-prepare hangs forever
ipa-replica-prepare hangs forever
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 14:39 EDT by Rob Crittenden
Modified: 2015-01-04 18:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add --batch to encryption/decryption (3.87 KB, patch)
2010-05-26 15:21 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2010-05-26 14:39:56 EDT
Description of problem:

Reported by xoritor in #freeipa

ipa-replica-prepare hangs forever:

# ipa-replica-prepare brillig.example.com
Directory Manager (existing master) password: 

Preparing replica for brillig.example.com from mimsy.example.com
Creating SSL certificate for the Directory Server
Creating SSL certificate for the Web Server
Exporting RA certificate
Copying additional files
Finalizing configuration
Packaging replica information into /var/lib/ipa/replica-info-brillig.example.com.gpg

<hang>

Version-Release number of selected component (if applicable):

ipa-server-1.2.2-3.fc13.x86_64.rpm
Comment 1 Rob Crittenden 2010-05-26 14:40:49 EDT
This affects v2 as well.

Adding the --batch argument to gpg seems to fix things.
Comment 2 Rob Crittenden 2010-05-26 15:21:55 EDT
Created attachment 416989 [details]
add --batch to encryption/decryption
Comment 3 Fedora Update System 2010-05-26 15:37:25 EDT
ipa-1.2.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ipa-1.2.2-4.fc13
Comment 4 Rob Crittenden 2010-05-27 11:05:59 EDT
Committed upstream

master: c67b47f9f693d0209572b34a6cf7927dcbf22200
ipa-1-2: a10becde018e92ab13c3dc6a317cd44aa2586da6
Comment 5 Fedora Update System 2010-06-16 13:47:47 EDT
ipa-1.2.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.